Support » Plugin: Multiple Roles » WordPress crash after 1.1 upgrade

  • Resolved Aharon

    (@spaceling)


    After upgrading to 1.1 this morning I noticed my site <opensiddur.org> was down. Fell back to 1.0 and site is fine again.

    I wish I could help more re: troubleshooting. Not sure what’s been changed in the plugin that would cause a wordpress failure.

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author Florian TIAR

    (@mista-flo)

    Hello, Thanks for your message. It’s a bad news that 1.1 crashed your website.

    Unfortunately, I can’t help you if you don’t give me more informations, like installed plugins, and the fatal error. Can you set your WP_DEBUG to true, and WP_DEBUG_LOG to true to get the error in de debug.log in wp-content folder. It will be nice if you can test it in another environment from production.

    I hope you could help me to find the bug and fix it to avoid this crash to other users.

    Aharon

    (@spaceling)

    Thank you for the advice to turn on wp_debug (!) 🙂

    Here is the error:

    Parse error: syntax error, unexpected T_FUNCTION in /opensiddur/wp-content/plugins/multiple-roles/multiple-roles.php on line 46

    • This reply was modified 3 years ago by Aharon.
    Plugin Author Florian TIAR

    (@mista-flo)

    Ok so it’s an issue with the closure function that I used, it’s > PHP 5.3 version, so I guess you’re curently running an outdated PHP version, I will update the plugin, but I strongly encourage you to update your PHP version (5.6 is good, 7.0 is better if you can).

    Aharon

    (@spaceling)

    Thank you! I’ll inform our webhost 🙂

    Plugin Author Florian TIAR

    (@mista-flo)

    Hi, the new 1.1.1 version is availlable, you can update the plugin, it will works as expected.

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘WordPress crash after 1.1 upgrade’ is closed to new replies.